Bug 28323 - InstallMimeTypes method doesn't work correctly
Summary: InstallMimeTypes method doesn't work correctly
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium major
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-30 10:39 UTC by Cosimo Cecchi
Modified: 2010-06-17 04:18 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
gpk-dbus-service -v log (12.78 KB, text/plain)
2010-05-30 10:39 UTC, Cosimo Cecchi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cosimo Cecchi 2010-05-30 10:39:07 UTC
I saw this while porting Nautilus, and its use of PK, to GDBus.

Minimal test case (I'm on F14 rawhide with latest updates):
- open 'd-feet'
- open 'gpk-dbus-service -v'
- from d-feet, invoke the 'org.fd.PK.Modify.InstallMimeTypes' method with pretty much any args (0, ['text/plain'], '' is fine for reproducing the bug)

I'd expect to see a list of installable applications that support 'text/plain', but PK searches its database and then just quits.

On further examination of the (attached) gpk-dbus-service verbose log, it seems the UI with the list of installable applications is actually created, but somehow, a click is detected and the UI goes away before it's shown.
Comment 1 Cosimo Cecchi 2010-05-30 10:39:53 UTC
Created attachment 35957 [details]
gpk-dbus-service -v log
Comment 2 Richard Hughes 2010-06-01 06:10:48 UTC
Eeeek. You've found a bug, apologies:

ommit 0726ec8a403b70472d5ea1d34b0ce03568ceda2c
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 1 14:08:49 2010 +0100

    Ensure we wait for the users respnse when an application uses InstallMimeTypes. Fixes #28323

:100644 100644 00dce66... 014dfef... M  src/gpk-dbus-task.c

I've pushed this to master and gnome-2-30.
Comment 3 Cosimo Cecchi 2010-06-17 04:18:55 UTC
This should be fixed now, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.